Rated 4 out of 5 stars

I am on Mac OS 10.6.6/Firefox 3.6.13 and the add-on no longer works properly. I have a bit.ly login and I tried using my username and bit.ly API key as instructed, but when I click "TEST" in preferences, I get an error that my credentials are invalid. They aren't. I copied and pasted directly from: http://bit.ly/a/your_api_key and am still given an error by the Add-On. It's too bad because I've used this Add-On for ages and always thought the UX was fantastic. Guess I have to find another URL cropper, now.

This review is for a previous version of the add-on (0.55). 

Its working

Not sure what is the problem here. I am using the plugin and it works fine for me.
Before you click options, open the Firefox error console (CTRL+SHIFT+J). The open the options and click. I would like to know the error which appears on the screen. This will help me debug and fix the issue.

Anyways, I have put the new version for review and it will be available shortly on the Firefox website.